// UsrPicNoteSet.cpp : implementation file
//

#include "stdafx.h"
#include "ex30a.h"
#include "UsrPicNoteSet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CUsrPicNoteSet

IMPLEMENT_DYNAMIC(CUsrPicNoteSet, CDaoRecordset)

CUsrPicNoteSet::CUsrPicNoteSet(CDaoDatabase* pdb)
	: CDaoRecordset(pdb)
{
	//{{AFX_FIELD_INIT(CUsrPicNoteSet)
	m_lUserID = 0;
	m_lBookID = 0;
	m_lPageNumber = 0;
	m_lPictureNumber = 0;
	m_strNote = _T("");
	m_nFields = 5;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dbOpenDynaset;
}


CString CUsrPicNoteSet::GetDefaultDBName()
{
	return _T("E:\\Programación Enero 98\\Proyectos\\InternetServer\\ITBLibrary.mdb");
}

CString CUsrPicNoteSet::GetDefaultSQL()
{
	return _T("[UserPictureNote]");
}

void CUsrPicNoteSet::DoFieldExchange(CDaoFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(CUsrPicNoteSet)
	pFX->SetFieldType(CDaoFieldExchange::outputColumn);
	DFX_Long(pFX, _T("[UserID]"), m_lUserID);
	DFX_Long(pFX, _T("[BookID]"), m_lBookID);
	DFX_Long(pFX, _T("[PageNumber]"), m_lPageNumber);
	DFX_Long(pFX, _T("[PictureNumber]"), m_lPictureNumber);
	DFX_Text(pFX, _T("[Note]"), m_strNote);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// CUsrPicNoteSet diagnostics

#ifdef _DEBUG
void CUsrPicNoteSet::AssertValid() const
{
	CDaoRecordset::AssertValid();
}

void CUsrPicNoteSet::Dump(CDumpContext& dc) const
{
	CDaoRecordset::Dump(dc);
}
#endif //_DEBUG
